> For the complete documentation index, see [llms.txt](https://developer.nexx360.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.nexx360.io/integration-methods/prebid-adapter/liveintent-hiro-integration.md).

# LiveIntent HIRO integration

LiveIntent's HIRO is an addressability solution that transforms previously non-addressable audiences into addressable inventory using first-party data by resolving user identities through LiveIntent's identity graph.

Nexx360 has a native integration with LiveIntent HIRO. When publishers include nexx360 in their LiveIntent User ID module's bidders configuration, LiveIntent's resolved identifiers are passed through to Nexx360's server-side auction, enabling any compatible demand partners to see this identifier.

## Implementation

In the [liveIntentId User ID module configuration](https://docs.prebid.org/dev-docs/modules/userid-submodules/liveintent.html) within your pbjs.setConfig() call. Specifically, you add 'nexx360' to the bidders array at the top level of the userId entry.

### Example configuration

```
pbjs.setConfig({
  userSync: {
    userIds: [{
      name: "liveIntentId",
      bidders: ['rubicon', 'pubmatic', 'nexx360'],  // <-- this is where you add nexx360
      params: {
        publisherId: "YOUR_PUBLISHER_ID",
        requestedAttributesOverrides: {
          uid2: true
        }
      }
    }]
  }
});
```

### Verify implementation

```
// Check that LiveIntent IDs are resolved
pbjs.getUserIds();
// Should include: { lipb: { lipbid: "...", uid2: "..." }, ... }

// Check EIDs format
pbjs.getUserIdsAsEids();
// Should include entries with source: "liveintent.com"

// Verify nexx360 is receiving the IDs
pbjs.getConfig('userSync').userIds
  .find(id => id.name === 'liveIntentId')?.bidders;
// Should include 'nexx360'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.nexx360.io/integration-methods/prebid-adapter/liveintent-hiro-integration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
